|
|||||||||
| Home >> All >> org >> apache >> [ tester overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
org.apache.tester
Class Lifecycle03

java.lang.Objectjavax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.tester.Lifecycle03
- All Implemented Interfaces:
- java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig
- public class Lifecycle03
- extends javax.servlet.http.HttpServlet
Test for servlet lifecycle management. It's behavior is controlled by a request parameter step, which must be set to one of the following values:
- 1 - Throw an
UnavailableExceptionthat indicates permanent unavailablility, which should cause this servlet instance to be destroyed and thrown away. - 2 - Check the lifecycle variables to ensure that the old instance was not reused.
- Version:
- $Revision: 302726 $ $Date: 2004-02-27 09:59:07 -0500 (Fri, 27 Feb 2004) $
| Field Summary | |
private java.lang.String |
instanceTrail
|
private static java.lang.String |
staticTrail
|
| Fields inherited from class javax.servlet.http.HttpServlet |
|
| Fields inherited from class javax.servlet.GenericServlet |
|
| Constructor Summary | |
Lifecycle03()
|
|
| Method Summary | |
void |
destroy()
Called by the servlet container to indicate to a servlet that the servlet is being taken out of service. |
void |
doGet(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response)
Called by the server (via the service method) to
allow a servlet to handle a GET request. |
void |
init()
A convenience method which can be overridden so that there's no need to call super.init(config). |
| Methods inherited from class javax.servlet.http.HttpServlet |
doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service |
| Methods inherited from class javax.servlet.GenericServlet |
getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
staticTrail
private static java.lang.String staticTrail
instanceTrail
private java.lang.String instanceTrail
| Constructor Detail |
Lifecycle03
public Lifecycle03()
| Method Detail |
init
public void init()
throws javax.servlet.ServletException
- Description copied from class:
javax.servlet.GenericServlet - A convenience method which can be overridden so that there's no need
to call
super.init(config).Instead of overriding GenericServlet.init(ServletConfig)>
GenericServlet.init(ServletConfig)55 , simply override this method and it will be called byGenericServlet.init(ServletConfig config). TheServletConfigobject can still be retrieved via GenericServlet.getServletConfig()>GenericServlet.getServletConfig()55 .
destroy
public void destroy()
- Description copied from class:
javax.servlet.GenericServlet - Called by the servlet container to indicate to a servlet that the
servlet is being taken out of service. See Servlet.destroy()>
Servlet.destroy()55 .
doGet
public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws java.io.IOException, javax.servlet.ServletException
- Description copied from class:
javax.servlet.http.HttpServlet - Called by the server (via the
servicemethod) to allow a servlet to handle a GET request.Overriding this method to support a GET request also automatically supports an HTTP HEAD request. A HEAD request is a GET request that returns no body in the response, only the request header fields.
When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a
PrintWriterobject to return the response, set the content type before accessing thePrintWriterobject.The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.
Where possible, set the Content-Length header (with the ServletResponse.setContentLength(int)>
ServletResponse.setContentLength(int)55 method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.
The GET method should be safe, that is, without any side effects for which users are held responsible. For example, most form queries have no side effects. If a client request is intended to change stored data, the request should use some other HTTP method.
The GET method should also be idempotent, meaning that it can be safely repeated. Sometimes making a method safe also makes it idempotent. For example, repeating queries is both safe and idempotent, but buying a product online or modifying data is neither safe nor idempotent.
If the request is incorrectly formatted,
doGetreturns an HTTP "Bad Request" message.
|
|||||||||
| Home >> All >> org >> apache >> [ tester overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC